Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getCameraVideoLink({
serial: "string",
timestamp: "string",
});
export const merakiDevicesCameraVideoLinkExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_camera_video_link(serial="string",
timestamp="string")
pulumi.export("merakiDevicesCameraVideoLinkExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.GetCameraVideoLink(ctx, &devices.GetCameraVideoLinkArgs{
Serial: "string",
Timestamp: pulumi.StringRef("string"),
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesCameraVideoLinkExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetCameraVideoLink.Invoke(new()
{
Serial = "string",
Timestamp = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesCameraVideoLinkExample"] = example.Apply(getCameraVideoLinkResult => getCameraVideoLinkResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetCameraVideoLinkArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getCameraVideoLink(GetCameraVideoLinkArgs.builder()
.serial("string")
.timestamp("string")
.build());
ctx.export("merakiDevicesCameraVideoLinkExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getCameraVideoLink
arguments:
serial: string
timestamp: string
outputs:
merakiDevicesCameraVideoLinkExample: ${example.item}
Using getCameraVideoLink
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCameraVideoLink(args: GetCameraVideoLinkArgs, opts?: InvokeOptions): Promise<GetCameraVideoLinkResult>
function getCameraVideoLinkOutput(args: GetCameraVideoLinkOutputArgs, opts?: InvokeOptions): Output<GetCameraVideoLinkResult>def get_camera_video_link(serial: Optional[str] = None,
timestamp: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetCameraVideoLinkResult
def get_camera_video_link_output(serial: Optional[pulumi.Input[str]] = None,
timestamp: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCameraVideoLinkResult]func GetCameraVideoLink(ctx *Context, args *GetCameraVideoLinkArgs, opts ...InvokeOption) (*GetCameraVideoLinkResult, error)
func GetCameraVideoLinkOutput(ctx *Context, args *GetCameraVideoLinkOutputArgs, opts ...InvokeOption) GetCameraVideoLinkResultOutput> Note: This function is named GetCameraVideoLink in the Go SDK.
public static class GetCameraVideoLink
{
public static Task<GetCameraVideoLinkResult> InvokeAsync(GetCameraVideoLinkArgs args, InvokeOptions? opts = null)
public static Output<GetCameraVideoLinkResult> Invoke(GetCameraVideoLinkInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCameraVideoLinkResult> getCameraVideoLink(GetCameraVideoLinkArgs args, InvokeOptions options)
public static Output<GetCameraVideoLinkResult> getCameraVideoLink(GetCameraVideoLinkArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getCameraVideoLink:getCameraVideoLink
arguments:
# arguments dictionaryThe following arguments are supported:
getCameraVideoLink Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Camera Video Link Item - Serial string
- serial path parameter.
- Timestamp string
- timestamp query parameter. [optional] The video link will start at this time. The timestamp should be a string in ISO8601 format. If no timestamp is specified, we will assume current time.
- Id string
- The provider-assigned unique ID for this managed resource.
- Item
Get
Camera Video Link Item - Serial string
- serial path parameter.
- Timestamp string
- timestamp query parameter. [optional] The video link will start at this time. The timestamp should be a string in ISO8601 format. If no timestamp is specified, we will assume current time.
- id String
- The provider-assigned unique ID for this managed resource.
- item
Get
Camera Video Link Item - serial String
- serial path parameter.
- timestamp String
- timestamp query parameter. [optional] The video link will start at this time. The timestamp should be a string in ISO8601 format. If no timestamp is specified, we will assume current time.
- id string
- The provider-assigned unique ID for this managed resource.
- item
Get
Camera Video Link Item - serial string
- serial path parameter.
- timestamp string
- timestamp query parameter. [optional] The video link will start at this time. The timestamp should be a string in ISO8601 format. If no timestamp is specified, we will assume current time.
- id str
- The provider-assigned unique ID for this managed resource.
- item
Get
Camera Video Link Item - serial str
- serial path parameter.
- timestamp str
- timestamp query parameter. [optional] The video link will start at this time. The timestamp should be a string in ISO8601 format. If no timestamp is specified, we will assume current time.
- id String
- The provider-assigned unique ID for this managed resource.
- item Property Map
- serial String
- serial path parameter.
- timestamp String
- timestamp query parameter. [optional] The video link will start at this time. The timestamp should be a string in ISO8601 format. If no timestamp is specified, we will assume current time.
Supporting Types
GetCameraVideoLinkItem
- url str
- vision_
url str
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
